Name:           keyd
Version:        2.4.1
Release:        1%{?dist}
Summary:        Key-mapper for linux

License:        MIT
URL:            https://github.com/rvaiya/keyd
Source0:        https://github.com/rvaiya/keyd/archive/refs/tags/v%{version}.tar.gz

BuildRequires: gcc, make, systemd-devel, git, systemd
Requires: libinput

%description
Linux lacks a good key remapping solution.
In order to achieve satisfactory results a medley of tools need to be employed (e.g. xcape, xmodmap) with the end result often being tethered to a specified environment (X11).
keyd attempts to solve this problem by providing a flexible system wide daemon which remaps keys using kernel level input primitives (evdev, uinput).

%global debug_package %{nil}

%prep
%autosetup -n %{name}-%{version}


%build
make

%install
mkdir -p "%{buildroot}/usr/share/libinput"
mkdir -p "%{buildroot}/usr/lib/systemd/system"
%make_install
rm -rf "%{buildroot}/usr/share/doc/keyd"

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-application-mapper
%{_unitdir}/keyd.service
%{_mandir}//man1/keyd.1.gz
%{_mandir}/man1/%{name}-application-mapper.1.gz
/usr/share/libinput/30-keyd.quirks
/usr/share/keyd/keyd.compose

%license LICENSE
%doc docs/DESIGN.md docs/CHANGELOG.md README.md

%changelog
* Tue Jun 28 2022 Pascal Kuthe <dspom@protonmail.com> - 2.4.1-1
- Update to 2.4.1
- Add missing files
* Tue Apr 26 2022 Pascal Kuthe <dspom@protonmail.com> - 2.4.0-1
- Update to 2.4.0
* Sun Jan 09 2022 Pascal Kuthe <dspom@protonmail.com> - 2.2.0-1
- Initialaize at 2.2.0-beta
